Package com.macrofocus.high_d.statistics

# Class StatisticsDataFrame<Row,C>

java.lang.Object
com.macrofocus.molap.dataframe.AbstractDataFrame<StatisticsDataFrame.Stat,C,Object>
com.macrofocus.high_d.statistics.StatisticsDataFrame<Row,C>

All Implemented Interfaces:
  `com.macrofocus.molap.dataframe.DataFrame<StatisticsDataFrame.Stat,C,Object>`

public class StatisticsDataFrame<Row,C> extends com.macrofocus.molap.dataframe.AbstractDataFrame<StatisticsDataFrame.Stat,C,Object>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `StatisticsDataFrame.Stat`
  `protected class`
  `StatisticsDataFrame.TableIterable`

  ## Nested classes/interfaces inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `com.macrofocus.molap.dataframe.AbstractDataFrame.ColumnSeries`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatisticsDataFrame(com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, MutableSingleSelection<Row> probing, MutableSelection<Row> selection, Filter<Row> filter, com.macrofocus.colormapping.MutableColorMapping<?,Row,C> colorMapping, com.macrofocus.coloring.MutableColoring<?,Row> coloring)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getColumnClass(C column)`
  `int`
  `getColumnCount()`
  `com.macrofocus.molap.index.UniqueIndex<C>`
  `getColumnIndex()`
  `String`
  `getColumnName(C column)`
  `com.macrofocus.molap.dataframe.DataFrame<Row,C,?>`
  `getDataFrame()`
  `com.macrofocus.molap.series.Series<C,?>`
  `getRow(StatisticsDataFrame.Stat integer)`
  `Class`
  `getRowClass(StatisticsDataFrame.Stat integer)`
  `int`
  `getRowCount()`
  `com.macrofocus.molap.index.UniqueIndex<StatisticsDataFrame.Stat>`
  `getRowIndex()`
  `com.macrofocus.molap.aggregates.cube.UnivariateStatistics`
  `getStatistics(C column)`
  `Object`
  `getValueAt(StatisticsDataFrame.Stat rowIndex, C columnIndex)`
  `com.macrofocus.molap.dataframe.DataFrame`
  `join(com.macrofocus.molap.series.Series series, C[] cs)`
  `void`
  `setType(com.macrofocus.high_d.statistics.StatisticsDataFrame.Type type)`

  ### Methods inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnKey, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getCube, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getNotNullSum, getPercentileQuartile, getRandom, getRowAddress, getRowKey, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, notifyDataFrameChanged, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumn, reindexRowsUsingColumnDefault, reindexRowsUsingColumns, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatisticsDataFrame

    public StatisticsDataFrame(com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, MutableSingleSelection<Row> probing, MutableSelection<Row> selection, Filter<Row> filter, com.macrofocus.colormapping.MutableColorMapping<?,Row,C> colorMapping, com.macrofocus.coloring.MutableColoring<?,Row> coloring)

- ## Method Details

  - ### setType

    public void setType(com.macrofocus.high_d.statistics.StatisticsDataFrame.Type type)

  - ### getDataFrame

    public com.macrofocus.molap.dataframe.DataFrame<Row,C,?> getDataFrame()

  - ### getColumnName

    public String getColumnName(C column)
    Specified by:
      `getColumnName` in interface `com.macrofocus.molap.dataframe.DataFrame<StatisticsDataFrame.Stat,C,Object>`
    Overrides:
      `getColumnName` in class `com.macrofocus.molap.dataframe.AbstractDataFrame<StatisticsDataFrame.Stat,C,Object>`

  - ### getColumnClass

    public Class<?> getColumnClass(C column)

  - ### getRowCount

    public int getRowCount()
    Specified by:
      `getRowCount` in interface `com.macrofocus.molap.dataframe.DataFrame<StatisticsDataFrame.Stat,C,Object>`
    Overrides:
      `getRowCount` in class `com.macrofocus.molap.dataframe.AbstractDataFrame<StatisticsDataFrame.Stat,C,Object>`

  - ### getColumnCount

    public int getColumnCount()
    Specified by:
      `getColumnCount` in interface `com.macrofocus.molap.dataframe.DataFrame<StatisticsDataFrame.Stat,C,Object>`
    Overrides:
      `getColumnCount` in class `com.macrofocus.molap.dataframe.AbstractDataFrame<StatisticsDataFrame.Stat,C,Object>`

  - ### getValueAt

    public Object getValueAt(StatisticsDataFrame.Stat rowIndex, C columnIndex)

  - ### getRowIndex

    public com.macrofocus.molap.index.UniqueIndex<StatisticsDataFrame.Stat> getRowIndex()

  - ### getColumnIndex

    public com.macrofocus.molap.index.UniqueIndex<C> getColumnIndex()

  - ### getRowClass

    public Class getRowClass(StatisticsDataFrame.Stat integer)

  - ### getRow

    public com.macrofocus.molap.series.Series<C,?> getRow(StatisticsDataFrame.Stat integer)

  - ### join

    public com.macrofocus.molap.dataframe.DataFrame join(com.macrofocus.molap.series.Series series, C[] cs)

  - ### getStatistics

    public com.macrofocus.molap.aggregates.cube.UnivariateStatistics getStatistics(C column)
    Specified by:
      `getStatistics` in interface `com.macrofocus.molap.dataframe.DataFrame<StatisticsDataFrame.Stat,C,Object>`
    Overrides:
      `getStatistics` in class `com.macrofocus.molap.dataframe.AbstractDataFrame<StatisticsDataFrame.Stat,C,Object>`